Subject: Re: linux-next: build failure in drivers/mfd/aat2870-core.c

From: Samuel Ortiz <[email-masked]>
Date: Tue, 4 Oct 2011 12:37:51 +0200

Hi Jin,

On Fri, Sep 30, 2011 at 08:47:41PM +0900, Jin Park wrote:
> Hi, Paul
> 
> I have checked aat2870-core.c build problem when x86_64 and got the
> same error with you.
> 
> This error occurred since merged below change.
> ----------------------------------------------------------------------------------
> commit da417bacc9143b934f1a480a25d0fb2bb648a820
> Author: Stephen Boyd <[email-masked]>
> Date:   Wed Sep 28 10:50:29 2011 +1000
> 
>     x86: implement strict user copy checks for x86_64
> ----------------------------------------------------------------------------------
> The above change is check object size and copy size for
> copy_from_user() to prevent overflow.
> 
> The root cause is not matched type of size parameter for
> copy_from_user() in aat2870-core.c for x86_64.
> Because I just passed int type for size parameter to copy_from_user().
> It has no problem for i386, but has problem for x86_64.
> 
> 
> This is the patch for this build problem. Please review it.
I applied this patch and fixed the changelog to be slightly more descriptive.
Thanks a lot for the fix.

Cheers,
Samuel.

-- 
Intel Open Source Technology Centre
http://oss.intel.com/